loading ACPI modules and starting HALd took too long time

Bug #107516 reported by Forrest Sheng Bao on 2007-04-18
30
Affects Status Importance Assigned to Milestone
casper (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: casper

hi,

I found it takes more than half a minute to load ACPI modules and start HALd on my Thinkpad R51e-2xc, with Feisty RC live CD.
The computer looks dead in those two steps.

This problem happened at the first release of Feisty Beta and it was ok after once I upgraded the system.
But now it happened again.

here is the dmesg result. Some errors are related to ACPI:
forrest@flavia:~$ dmesg
[ 0.000000] Linux version 2.6.20-15-generic (root@palmer) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Sun Apr 15 07:36:31 UTC 2007 (Ubuntu 2.6.20-15.27-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] sanitize start
[ 0.000000] sanitize end
[ 0.000000] copy_e820_map() start: 0000000000000000 size: 0000000000099000 end: 0000000000099000 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 0000000000099000 size: 0000000000007000 end: 00000000000a0000 type: 2
[ 0.000000] copy_e820_map() start: 00000000000e0000 size: 0000000000020000 end: 0000000000100000 type: 2
[ 0.000000] copy_e820_map() start: 0000000000100000 size: 000000002bde0000 end: 000000002bee0000 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 000000002bee0000 size: 000000000000b000 end: 000000002beeb000 type: 3
[ 0.000000] copy_e820_map() start: 000000002beeb000 size: 0000000000015000 end: 000000002bf00000 type: 4
[ 0.000000] copy_e820_map() start: 000000002bf00000 size: 0000000000100000 end: 000000002c000000 type: 2
[ 0.000000] copy_e820_map() start: 00000000e0000000 size: 0000000010000000 end: 00000000f0000000 type: 2
[ 0.000000] copy_e820_map() start: 00000000fec00000 size: 0000000000010000 end: 00000000fec10000 type: 2
[ 0.000000] copy_e820_map() start: 00000000fee00000 size: 0000000000001000 end: 00000000fee01000 type: 2
[ 0.000000] BIOS-e820: 0000000000000000 - 0000000000099000 (usable)
[ 0.000000] BIOS-e820: 0000000000099000 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000002bee0000 (usable)
[ 0.000000] BIOS-e820: 000000002bee0000 - 000000002beeb000 (ACPI data)
[ 0.000000] BIOS-e820: 000000002beeb000 - 000000002bf00000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000002bf00000 - 000000002c000000 (reserved)
[ 0.000000] BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[ 0.000000] 0MB HIGHMEM available.
[ 0.000000] 702MB LOWMEM available.
[ 0.000000] Entering add_active_range(0, 0, 179936) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 179936
[ 0.000000] HighMem 179936 -> 179936
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 179936
[ 0.000000] On node 0 totalpages: 179936
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 1373 pages used for memmap
[ 0.000000] Normal zone: 174467 pages, LIFO batch:31
[ 0.000000] HighMem zone: 0 pages used for memmap
[ 0.000000] DMI present.
[ 0.000000] ACPI: RSDP (v002 IBM ) @ 0x000f6c80
[ 0.000000] ACPI: XSDT (v001 IBM TP-78 0x00001580 LTP 0x00000000) @ 0x2bee1879
[ 0.000000] ACPI: FADT (v003 IBM TP-78 0x00001580 IBM 0x00000001) @ 0x2bee1900
[ 0.000000] ACPI: SSDT (v001 IBM TP-78 0x00001580 MSFT 0x0100000e) @ 0x2bee1ab4
[ 0.000000] ACPI: ECDT (v001 IBM TP-78 0x00001580 IBM 0x00000001) @ 0x2beeada2
[ 0.000000] ACPI: MADT (v001 IBM TP-78 0x00001580 IBM 0x00000001) @ 0x2beeadf4
[ 0.000000] ACPI: MCFG (v001 IBM TP-78 0x00001580 IBM 0x00000001) @ 0x2beeae4e
[ 0.000000] ACPI: BOOT (v001 IBM TP-78 0x00001580 LTP 0x00000001) @ 0x2beeafd8
[ 0.000000] ACPI: DSDT (v001 IBM TP-78 0x00001580 MSFT 0x0100000e) @ 0x00000000
[ 0.000000] ATI board detected. Disabling timer routing over 8254.
[ 0.000000] ACPI: PM-Timer IO Port: 0x8008
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[ 0.000000] Processor #0 6:13 APIC version 20
[ 0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[ 0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[ 0.000000] IOAPIC[0]: apic_id 1, version 33, address 0xfec00000, GSI 0-23
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 21 low level)
[ 0.000000] ACPI: IRQ0 used by override.
[ 0.000000] ACPI: IRQ2 used by override.
[ 0.000000] Enabling APIC mode: Flat. Using 1 I/O APICs
[ 0.000000] Using ACPI (MADT) for SMP configuration information
[ 0.000000] Allocating PCI resources starting at 30000000 (gap: 2c000000:b4000000)
[ 0.000000] Detected 1495.824 MHz processor.
[ 3.030545] Built 1 zonelists. Total pages: 178531
[ 3.030550] Kernel command line: root=UUID=3b378bea-8dd7-4dfe-baad-3c2037fec88d ro quiet splash
[ 3.030741] mapped APIC to ffffd000 (fee00000)
[ 3.030744] mapped IOAPIC to ffffc000 (fec00000)
[ 3.030749] Enabling fast FPU save and restore... done.
[ 3.030752] Enabling unmasked SIMD FPU exception support... done.
[ 3.030766] Initializing CPU#0
[ 3.030864] PID hash table entries: 4096 (order: 12, 16384 bytes)
[ 3.032670] Console: colour VGA+ 80x25
[ 3.033590] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[ 3.034567] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[ 3.059174] Memory: 701992k/719744k available (1992k kernel code, 17128k reserved, 893k data, 328k init, 0k highmem)
[ 3.059185] virtual kernel memory layout:
[ 3.059186] fixmap : 0xfff4e000 - 0xfffff000 ( 708 kB)
[ 3.059188] pkmap : 0xff800000 - 0xffc00000 (4096 kB)
[ 3.059189] vmalloc : 0xec800000 - 0xff7fe000 ( 303 MB)
[ 3.059190] lowmem : 0xc0000000 - 0xebee0000 ( 702 MB)
[ 3.059192] .init : 0xc03d7000 - 0xc0429000 ( 328 kB)
[ 3.059193] .data : 0xc02f2264 - 0xc03d16d4 ( 893 kB)
[ 3.059194] .text : 0xc0100000 - 0xc02f2264 (1992 kB)
[ 3.059198] Checking if this processor honours the WP bit even in supervisor mode... Ok.
[ 3.138777] Calibrating delay using timer specific routine.. 2994.94 BogoMIPS (lpj=5989899)
[ 3.138826] Security Framework v1.0.0 initialized
[ 3.138836] SELinux: Disabled at boot.
[ 3.138856] Mount-cache hash table entries: 512
[ 3.139015] CPU: After generic identify, caps: afe9fbff 00000000 00000000 00000000 00000000 00000000 00000000
[ 3.139028] CPU: L1 I cache: 32K, L1 D cache: 32K
[ 3.139031] CPU: L2 cache: 1024K
[ 3.139034] CPU: After all inits, caps: afe9fbff 00000000 00000000 00002040 00000000 00000000 00000000
[ 3.139045] Compat vDSO mapped to ffffe000.
[ 3.139050] Remapping vsyscall page to ffffe000
[ 3.139063] Checking 'hlt' instruction... OK.
[ 3.154867] SMP alternatives: switching to UP code
[ 3.155076] Freeing SMP alternatives: 11k freed
[ 3.155278] Early unpacking initramfs... done
[ 3.540968] ACPI: Core revision 20060707
[ 3.541249] ACPI: Looking for DSDT in initramfs... file /DSDT.aml not found, using machine DSDT.
[ 3.557235] CPU0: Intel(R) Celeron(R) M processor 1.50GHz stepping 08
[ 3.557267] Total of 1 processors activated (2994.94 BogoMIPS).
[ 3.557459] ENABLING IO-APIC IRQs
[ 3.557675] ..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 3.597378] ..MP-BIOS bug: 8254 timer not connected to IO-APIC
[ 3.597428] ...trying to set up timer (IRQ0) through the 8259A ... failed.
[ 3.597431] ...trying to set up timer as Virtual Wire IRQ... works.
[ 3.742288] Brought up 1 CPUs
[ 3.742565] Booting paravirtualized kernel on bare hardware
[ 3.742668] Time: 16:41:31 Date: 03/18/107
[ 3.742702] NET: Registered protocol family 16
[ 3.742803] EISA bus registered
[ 3.742808] ACPI: bus type pci registered
[ 3.742932] PCI: PCI BIOS revision 2.10 entry at 0xfd7bd, last bus=8
[ 3.742935] PCI: Using configuration type 1
[ 3.742937] Setting up standard PCI resources
[ 6.248593] ACPI: Interpreter enabled
[ 6.248598] ACPI: Using IOAPIC for interrupt routing
[ 6.249312] ACPI: PCI Root Bridge [PCI0] (0000:00)
[ 6.249317] PCI: Probing PCI hardware (bus 00)
[ 6.251011] Boot video device is 0000:01:05.0
[ 6.251486] PCI: Transparent bridge - 0000:00:14.4
[ 6.251621] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[ 6.253801] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PB4_._PRT]
[ 6.254024] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PB6_._PRT]
[ 6.255269] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 11) *0, disabled.
[ 6.255583] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 11) *0, disabled.
[ 6.255899] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 11) *0, disabled.
[ 6.256210] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *9 10 11)
[ 6.256525] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 11) *0, disabled.
[ 6.256838] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 11) *0, disabled.
[ 6.257147] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 9 10 11) *0, disabled.
[ 6.257456] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 11) *0, disabled.
[ 7.258743] ACPI: Power Resource [PUBS] (on)
[ 9.257067] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
[ 9.257371] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P2P_._PRT]
[ 9.257940] Linux Plug and Play Support v0.97 (c) Adam Belay
[ 9.257950] pnp: PnP ACPI init
[ 10.259816] pnp: PnP ACPI: found 11 devices
[ 10.259821] PnPBIOS: Disabled by ACPI PNP
[ 10.259873] PCI: Using ACPI for IRQ routing
[ 10.259877] PCI: If a device doesn't work, try "pci=routeirq". If it helps, post a report
[ 10.259886] PCI: Cannot allocate resource region 7 of bridge 0000:00:06.0
[ 10.259889] PCI: Cannot allocate resource region 8 of bridge 0000:00:06.0
[ 10.279720] NET: Registered protocol family 8
[ 10.279722] NET: Registered protocol family 20
[ 10.279971] pnp: 00:03: ioport range 0x1080-0x1080 has been reserved
[ 10.279975] pnp: 00:03: ioport range 0x220-0x22f has been reserved
[ 10.279978] pnp: 00:03: ioport range 0x3bf-0x3bf has been reserved
[ 10.279981] pnp: 00:03: ioport range 0x7bf-0x7bf has been reserved
[ 10.280282] PCI: Bridge: 0000:00:01.0
[ 10.280285] IO window: 9000-9fff
[ 10.280290] MEM window: b0100000-b01fffff
[ 10.280294] PREFETCH window: c8000000-cfffffff
[ 10.280298] PCI: Bridge: 0000:00:04.0
[ 10.280300] IO window: disabled.
[ 10.280304] MEM window: b0200000-b02fffff
[ 10.280307] PREFETCH window: disabled.
[ 10.280311] PCI: Bridge: 0000:00:06.0
[ 10.280313] IO window: disabled.
[ 10.280317] MEM window: disabled.
[ 10.280320] PREFETCH window: disabled.
[ 10.280326] PCI: Bus 5, cardbus bridge: 0000:04:00.0
[ 10.280328] IO window: 0000a000-0000a0ff
[ 10.280335] IO window: 0000a400-0000a4ff
[ 10.280342] PREFETCH window: d0000000-d3ffffff
[ 10.280349] MEM window: b4000000-b7ffffff
[ 10.280360] PCI: Bridge: 0000:00:14.4
[ 10.280364] IO window: a000-dfff
[ 10.280372] MEM window: b0300000-bfffffff
[ 10.280378] PREFETCH window: d0000000-d7ffffff
[ 10.280406] PCI: Setting latency timer of device 0000:00:04.0 to 64
[ 10.280418] PCI: Setting latency timer of device 0000:00:06.0 to 64
[ 10.280453] ACPI: PCI Interrupt 0000:04:00.0[A] -> GSI 20 (level, low) -> IRQ 16
[ 10.280491] NET: Registered protocol family 2
[ 10.315668] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[ 10.315887] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[ 10.317750] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[ 10.319078] TCP: Hash tables configured (established 131072 bind 65536)
[ 10.319083] TCP reno registered
[ 10.327783] checking if image is initramfs... it is
[ 11.094909] Freeing initrd memory: 7005k freed
[ 11.095230] Simple Boot Flag at 0x35 set to 0x1
[ 11.095508] audit: initializing netlink socket (disabled)
[ 11.095527] audit(1176914499.108:1): initialized
[ 11.095704] VFS: Disk quotas dquot_6.5.1
[ 11.095729] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[ 11.095792] io scheduler noop registered
[ 11.095796] io scheduler anticipatory registered
[ 11.095798] io scheduler deadline registered
[ 11.095811] io scheduler cfq registered (default)
[ 11.534566] PCI: Setting latency timer of device 0000:00:04.0 to 64
[ 11.534607] assign_interrupt_mode Found MSI capability
[ 11.534611] Allocate Port Service[0000:00:04.0:pcie00]
[ 11.534717] PCI: Setting latency timer of device 0000:00:06.0 to 64
[ 11.534756] assign_interrupt_mode Found MSI capability
[ 11.534759] Allocate Port Service[0000:00:06.0:pcie00]
[ 11.534919] isapnp: Scanning for PnP cards...
[ 11.892154] isapnp: No Plug & Play device found
[ 11.930465] Real Time Clock Driver v1.12ac
[ 11.930532] Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
[ 11.931603] mice: PS/2 mouse device common for all mice
[ 11.932223] RAMDISK driver initialized: 16 RAM disks of 65536K size 1024 blocksize
[ 11.932518] input: Macintosh mouse button emulation as /class/input/input0
[ 11.932556] Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
[ 11.932561] ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
[ 11.932875] PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
[ 11.943322] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 11.943328] serio: i8042 AUX port at 0x60,0x64 irq 12
[ 11.943472] EISA: Probing bus 0 at eisa.0
[ 11.943483] Cannot allocate resource for EISA slot 1
[ 11.943514] Cannot allocate resource for EISA slot 8
[ 11.943516] EISA: Detected 0 cards.
[ 11.973618] TCP cubic registered
[ 11.973630] NET: Registered protocol family 1
[ 11.973656] Using IPI No-Shortcut mode
[ 11.973748] ACPI: (supports S0 S3 S4 S5)
[ 11.973808] Magic number: 3:170:692
[ 11.974363] Freeing unused kernel memory: 328k freed
[ 11.974842] Time: tsc clocksource has been installed.
[ 11.989986] input: AT Translated Set 2 keyboard as /class/input/input1
[ 13.198734] Capability LSM initialized
[ 14.235725] ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
[ 14.235733] ACPI: Processor [CPU] (supports 8 throttling states)
[ 10.720000] Time: acpi_pm clocksource has been installed.
[ 14.672000] ACPI: Thermal Zone [THM0] (41 C)
[ 15.124000] usbcore: registered new interface driver usbfs
[ 15.124000] usbcore: registered new interface driver hub
[ 15.124000] usbcore: registered new device driver usb
[ 15.124000] ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
[ 15.124000] ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 9 (level, low) -> IRQ 9
[ 15.124000] ohci_hcd 0000:00:13.0: OHCI Host Controller
[ 15.124000] ohci_hcd 0000:00:13.0: new USB bus registered, assigned bus number 1
[ 15.124000] ohci_hcd 0000:00:13.0: irq 9, io mem 0xb0000000
[ 15.184000] SCSI subsystem initialized
[ 15.192000] libata version 2.20 loaded.
[ 15.220000] usb usb1: configuration #1 chosen from 1 choice
[ 15.220000] hub 1-0:1.0: USB hub found
[ 15.220000] hub 1-0:1.0: 4 ports detected
[ 15.324000] ACPI: PCI Interrupt 0000:00:13.1[A] -> GSI 9 (level, low) -> IRQ 9
[ 15.324000] ohci_hcd 0000:00:13.1: OHCI Host Controller
[ 15.324000] ohci_hcd 0000:00:13.1: new USB bus registered, assigned bus number 2
[ 15.324000] ohci_hcd 0000:00:13.1: irq 9, io mem 0xb0001000
[ 15.380000] usb usb2: configuration #1 chosen from 1 choice
[ 15.380000] hub 2-0:1.0: USB hub found
[ 15.380000] hub 2-0:1.0: 4 ports detected
[ 16.484000] ACPI: PCI Interrupt 0000:00:13.2[A] -> GSI 9 (level, low) -> IRQ 9
[ 16.484000] ehci_hcd 0000:00:13.2: EHCI Host Controller
[ 16.484000] ehci_hcd 0000:00:13.2: new USB bus registered, assigned bus number 3
[ 16.484000] ehci_hcd 0000:00:13.2: irq 9, io mem 0xb0002000
[ 16.484000] ehci_hcd 0000:00:13.2: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
[ 16.484000] usb usb3: configuration #1 chosen from 1 choice
[ 16.484000] hub 3-0:1.0: USB hub found
[ 16.484000] hub 3-0:1.0: 8 ports detected
[ 16.588000] tg3.c:v3.72 (January 8, 2007)
[ 16.588000] ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 16 (level, low) -> IRQ 17
[ 16.588000] PCI: Setting latency timer of device 0000:02:00.0 to 64
[ 16.628000] eth0: Tigon3 [partno(BCM95751F) rev 4201 PHY(5750)] (PCI Express) 10/100Base-TX Ethernet 00:0a:e4:3f:a2:02
[ 16.628000] eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] Split[0] WireSpeed[1] TSOcap[1]
[ 16.628000] eth0: dma_rwctrl[76180000] dma_mask[64-bit]
[ 16.628000] ATIIXP: IDE controller at PCI slot 0000:00:14.1
[ 16.628000] ACPI: PCI Interrupt 0000:00:14.1[A] -> GSI 16 (level, low) -> IRQ 17
[ 16.628000] ATIIXP: chipset revision 0
[ 16.628000] ATIIXP: not 100% native mode: will probe irqs later
[ 16.628000] ide0: BM-DMA at 0x8410-0x8417, BIOS settings: hda:DMA, hdb:pio
[ 16.628000] ide1: BM-DMA at 0x8418-0x841f, BIOS settings: hdc:DMA, hdd:pio
[ 16.628000] Probing IDE interface ide0...
[ 16.920000] hda: Hitachi HTS541210H9AT00, ATA DISK drive
[ 17.592000] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
[ 17.968000] Probing IDE interface ide1...
[ 18.704000] hdc: MATSHITADVD-ROM SR-8178, ATAPI CD/DVD-ROM drive
[ 19.040000] ide1 at 0x170-0x177,0x376 on irq 15
[ 19.052000] hda: max request size: 512KiB
[ 19.060000] hda: 195371568 sectors (100030 MB) w/7528KiB Cache, CHS=16383/255/63, UDMA(100)
[ 19.060000] hda: cache flushes supported
[ 19.060000] hda: hda1 hda2 < hda5 hda6 > hda3
[ 19.124000] hdc: ATAPI 24X DVD-ROM drive, 256kB Cache, UDMA(33)
[ 19.124000] Uniform CD-ROM driver Revision: 3.20
[ 19.492000] Attempting manual resume
[ 19.492000] swsusp: Resume From Partition 3:5
[ 19.492000] PM: Checking swsusp image.
[ 19.504000] PM: Resume from disk failed.
[ 19.540000] kjournald starting. Commit interval 5 seconds
[ 19.540000] EXT3-fs: mounted filesystem with ordered data mode.
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ 0], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ 1], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ 2], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ 4], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ 5], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ 8], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ 9], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ A], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ C], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ D], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ E], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[ F], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[10], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[11], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[13], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[14], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[15], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[16], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[17], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[18], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[19], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[1A], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[1B], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[1C], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[1D], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[1E], disabling event [20060707]
[ 29.412000] ACPI Error (evgpe-0711): No handler or method for GPE[1F], disabling event [20060707]
[ 30.092000] NET: Registered protocol family 17
[ 30.172000] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 30.176000] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[ 30.368000] tg3: eth0: Link is up at 100 Mbps, full duplex.
[ 30.368000] tg3: eth0: Flow control is on for TX and on for RX.
[ 31.092000] Linux agpgart interface v0.102 (c) Dave Jones
[ 31.096000] piix4_smbus 0000:00:14.0: Found 0000:00:14.0 device
[ 31.124000] Yenta: CardBus bridge found at 0000:04:00.0 [1410:0528]
[ 31.124000] Yenta: Using INTVAL to route CSC interrupts to PCI
[ 31.124000] Yenta: Routing CardBus interrupts to PCI
[ 31.124000] Yenta TI: socket 0000:04:00.0, mfunc 0x01d21002, devctl 0x64
[ 31.128000] input: PC Speaker as /class/input/input2
[ 31.356000] Yenta: ISA IRQ mask 0x0cf8, PCI irq 16
[ 31.356000] Socket status: 30000007
[ 31.356000] pcmcia: parent PCI bridge I/O window: 0xa000 - 0xdfff
[ 31.356000] cs: IO port probe 0xa000-0xdfff: clean.
[ 31.356000] pcmcia: parent PCI bridge Memory window: 0xb0300000 - 0xbfffffff
[ 31.356000] pcmcia: parent PCI bridge Memory window: 0xd0000000 - 0xd7ffffff
[ 31.384000] parport: PnPBIOS parport detected.
[ 31.388000] parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE,EPP]
[ 31.540000] IBM TrackPoint firmware: 0x0e, buttons: 3/3
[ 31.560000] input: TPPS/2 IBM TrackPoint as /class/input/input3
[ 31.636000] ACPI: PCI Interrupt 0000:00:14.5[B] -> GSI 17 (level, low) -> IRQ 18
[ 31.756000] cs: IO port probe 0x100-0x3af: clean.
[ 31.760000] cs: IO port probe 0x3e0-0x4ff: excluding 0x408-0x40f 0x4d0-0x4d7
[ 31.760000] cs: IO port probe 0x820-0x8ff: clean.
[ 31.760000] cs: IO port probe 0xc00-0xcf7: excluding 0xc00-0xc07 0xc10-0xc17 0xc50-0xc57 0xc68-0xc6f 0xcd0-0xcdf
[ 31.760000] cs: IO port probe 0xa00-0xaff: clean.
[ 32.488000] fuse init (API version 7.8)
[ 32.532000] lp0: using parport0 (interrupt-driven).
[ 32.556000] Adding 787144k swap on /dev/disk/by-uuid/9838478b-8973-47e1-ad2f-4f630f510488. Priority:-1 extents:1 across:787144k
[ 32.692000] EXT3 FS on hda6, internal journal
[ 32.808000] NET: Registered protocol family 10
[ 32.808000] lo: Disabled Privacy Extensions
[ 32.984000] kjournald starting. Commit interval 5 seconds
[ 32.984000] EXT3 FS on hda1, internal journal
[ 32.984000] EXT3-fs: mounted filesystem with ordered data mode.
[ 32.988000] kjournald starting. Commit interval 5 seconds
[ 32.988000] EXT3 FS on hda3, internal journal
[ 32.988000] EXT3-fs: mounted filesystem with ordered data mode.
[ 38.264000] Using specific hotkey driver
[ 38.312000] ACPI: Video Device [VID] (multi-head: yes rom: no post: no)
[ 43.520000] eth0: no IPv6 routers present
[ 104.348000] ACPI: Battery Slot [BAT0] (battery present)
[ 104.408000] input: Power Button (FF) as /class/input/input4
[ 104.416000] ACPI: Power Button (FF) [PWRF]
[ 104.460000] input: Lid Switch as /class/input/input5
[ 104.464000] ACPI: Lid Switch [LID]
[ 104.508000] input: Sleep Button (CM) as /class/input/input6
[ 104.512000] ACPI: Sleep Button (CM) [SLPB]
[ 104.984000] No dock devices found.
[ 105.060000] ibm_acpi: ThinkPad EC firmware 78HT06WW-1.01
[ 105.060000] ibm_acpi: IBM ThinkPad ACPI Extras v0.13
[ 105.060000] ibm_acpi: http://ibm-acpi.sf.net/
[ 125.064000] ibm_acpi: fan_init: initial fan status is unknown, assuming it is in auto mode
[ 126.080000] ACPI: AC Adapter [AC] (on-line)
[ 126.144000] pcc_acpi: loading...
[ 269.828000] ppdev: user-space parallel port driver
[ 270.480000] IBM machine detected. Enabling interrupts during APM calls.
[ 270.480000] apm: BIOS not found.
[ 271.012000] Non-volatile memory driver v1.2
[ 271.068000] input: /usr/sbin/thinkpad-keys as /class/input/input7
[ 271.260000] Bluetooth: Core ver 2.11
[ 271.260000] NET: Registered protocol family 31
[ 271.260000] Bluetooth: HCI device and connection manager initialized
[ 271.260000] Bluetooth: HCI socket layer initialized
[ 271.280000] Bluetooth: L2CAP ver 2.8
[ 271.280000] Bluetooth: L2CAP socket layer initialized
[ 271.432000] Bluetooth: RFCOMM socket layer initialized
[ 271.432000] Bluetooth: RFCOMM TTY layer initialized
[ 271.432000] Bluetooth: RFCOMM ver 1.8

description: updated
leha (triacontahedron) wrote :

I have exactly same problem with my thinkpad R51e and feisty fawn. The slow boot happens due to acpi stuff, in particular it takes ibm_acpi and battery modules ~20s and 1m to load respectively.

Current work around that I use is blacklisting them. To do this add

blacklist ibm_acpi
blacklist battery

to /etc/modprobe.d/blacklist

George Calm (gcalm) wrote :

Hi guys,

I have a R51e ThinkPad with exactly the same problem. You can solve this both ways:

1) the way Leha explained it above, or
2) by adding "acpi=off" at the end of the "kernel /boot/vmlinuz-...." line in /boot/grub/menu.lst

Both ways sacrifice the important ability to see how much battery-time I have left.

If you find a way to check your battery-time with the acpi disabled, or a different work-around, please post it here. Thanks.

Regards,
GC

Corey Reichle (coreyreichle) wrote :

The issue appears to lie in kernel "kernel 2.6.20-15-generic". I booted with kernel "kernel 2.6.17-11-generic" and the issues resolved. HALD and ACPI loads fine once again.

The fix would be to load an older kernel image, or if you did an upgrade, just set the default to the older kernel.

I wonder if there is a patch for the kernel being worked on?

Corey Reichle (coreyreichle) wrote :

Has been confirmed. Appears to be an issue with IBM ThinkPad r51 series. Unknown what other models are affected. Confirmed issue with newest kernel version.

Changed in casper:
status: Unconfirmed → Confirmed

I have the same thing on my thinkpad R40e. I found this bug on kernel.org so it looks like it isn't a ubuntu specific issue.

http://bugzilla.kernel.org/show_bug.cgi?id=8246

The good news is that as a workaround you can add ec_intr=0 to your kernel options. This worked for me. My system is back at full speed and battery monitor etc work fine, though I have to admit that I'm not sure what this option changes, but it's a better option than blacklisting the battery and ibm_acpi modules that I was doing before.

description: updated
Brian Murray (brian-murray) wrote :

I am assigning this bug to the 'ubuntu-kernel-team' per their bug policy. For future reference you can learn more about their bug policy at https://wiki.ubuntu.com/KernelTeamBugPolicies .

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team

Beginning with the Hardy Heron 8.04 development cycle, all open Ubuntu kernel bugs need to be reported against the "linux" kernel package. We are automatically migrating this bug to the new "linux" package. However, development has already began for the upcoming Intrepid Ibex 8.10 release. It would be helpful if you could test the upcoming release and verify if this is still an issue - http://www.ubuntu.com/testing . If the issue still exists, please update this report by changing the Status of the "linux" task from "Incomplete" to "New". We appreciate your patience and understanding as we make this transition. Thanks!

Changed in casper:
status: New → Invalid

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Bryan Wu (cooloney) wrote :

This bug report is being closed because we received no response to the previous inquiry for information. Please reopen if this is still an issue in the current Ubuntu release, Jaunty Jackalope 9.04 - http://www.ubuntu.com/getubuntu/download. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

-Bryan

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers